<?php
/**
 * Listeners
 *
 * @package GamiPress\Contact_Form_7\Listeners
 * @since 1.0.0
 */

// Exit if accessed directly
if( !defined( 'ABSPATH' ) ) exit;

// Form submission
function gamipress_wpcf7_mail_sent( $form ) {

    $form_id = ( version_compare( WPCF7_VERSION, '4.8', '<' ) ) ? $form->id : $form->id();
    $user_id = get_current_user_id();

    // Login is required
    if ( $user_id === 0 )  {
        return;
    }

    // On submit a new specific form, triggers gamipress_wpcf7_specific_new_form_submission
    do_action( 'gamipress_wpcf7_specific_new_form_submission', $form_id, $user_id );

    // On submit a new form, triggers gamipress_wpcf7_new_form_submission
    do_action( 'gamipress_wpcf7_new_form_submission', $form_id, $user_id );

}
add_action( 'wpcf7_mail_sent', 'gamipress_wpcf7_mail_sent' );

